Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015996
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2011-02-16 12:302011-05-12 13:28
ReporterxabiermerinoView Statuspublic 
Assigned ToAinhoaPagola 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision88493d62e8b9
ProjectionnoneETAnoneTarget Version2.50MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP26SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015996: Errors in 'Shipments Dimensional Report' and 'Sales Dimensional Report' are not clear

DescriptionThe field Dimension is mandatory. If you don't select any dimension this error appears:

'This field is needed and it cannot be blank' and the field appears with a blue line.

The message should be more concrete, or the field should be in yellow.

Steps To Reproduce- As Openbravo Admin go to Shipments Dimensional Report
- Run the report withouth select a dimension
- Realize that the error appears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00169312.50MP28 closedAinhoaPagola Errors in 'Shipments Dimensional Report' and 'Sales Dimensional Report' are not clear 

-  Notes
(0036193)
AinhoaPagola (reporter)
2011-04-28 19:48

This is being fixed for all the dimensional reports used in the application at the moment, that is:
* Purchase Dimensional Report
* Purchase Invoice Dimensional Report
* Material Receipt Dimensional Report
* Sales Dimensional Report
* SO Return Dimensional Report
* Sales Invoice Dimensional Report
* Shipment Dimensional Report
(0036197)
hgbot (developer)
2011-04-29 09:02

Repository: erp/devel/pi
Changeset: 88493d62e8b966589de3bd1045d7ca6c4cdc0465
Author: Ainhoa Pagola <ainhoa.pagola <at> openbravo.com>
Date: Thu Apr 28 19:50:03 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/88493d62e8b966589de3bd1045d7ca6c4cdc0465 [^]

Fixes issue 15996 Dimension field set to mandatory in Dimensional Reports

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter.html
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesFilterJR.html
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialDimensionalAnalysesFilterJR.html
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseDimensionalAnalysesFilterJR.html
M src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesFilter.html
M src/org/openbravo/erpCommon/ad_reports/ReportSalesDimensionalAnalyzeJRFilter.html
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentDimensionalAnalyzeJRFilter.html
---
(0036255)
xabiermerino (developer)
2011-05-02 12:06

verified
(0036783)
hudsonbot (developer)
2011-05-12 13:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-02-16 12:30 xabiermerino New Issue
2011-02-16 12:30 xabiermerino Assigned To => adrianromero
2011-02-16 12:30 xabiermerino Modules => Core
2011-02-16 12:30 xabiermerino Issue Monitored: networkb
2011-04-26 13:27 AinhoaPagola Assigned To adrianromero => AinhoaPagola
2011-04-28 19:48 AinhoaPagola Note Added: 0036193
2011-04-28 19:49 AinhoaPagola Status new => scheduled
2011-04-28 19:49 AinhoaPagola fix_in_branch => pi
2011-04-29 09:02 hgbot Checkin
2011-04-29 09:02 hgbot Note Added: 0036197
2011-04-29 09:02 hgbot Status scheduled => resolved
2011-04-29 09:02 hgbot Resolution open => fixed
2011-04-29 09:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/88493d62e8b966589de3bd1045d7ca6c4cdc0465 [^]
2011-05-02 12:06 xabiermerino Note Added: 0036255
2011-05-02 12:06 xabiermerino Status resolved => closed
2011-05-03 00:01 anonymous sf_bug_id 0 => 3296507
2011-05-12 13:28 hudsonbot Checkin
2011-05-12 13:28 hudsonbot Note Added: 0036783


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker